# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
---
loader: taskgraph.loader.transform:loader

kind-dependencies:
    - fetch
    - packages

transforms:
    - gecko_taskgraph.transforms.try_job:transforms
    - gecko_taskgraph.transforms.job:transforms
    - gecko_taskgraph.transforms.cached_tasks:transforms
    - gecko_taskgraph.transforms.task:transforms

task-defaults:
    treeherder:
        kind: build
        platform: toolchains/opt
        tier: 1
    run-on-projects: []
    run:
        using: toolchain-script

tasks-from:
    - 7zz.yml
    - android.yml
    - cargo-vet.yml
    - cabextract.yml
    - cbindgen.yml
    - clang-tidy.yml
    - clang.yml
    - compiler-rt.yml
    - dump-syms.yml
    - fix-stacks.yml
    - gcc.yml
    - geckodriver.yml
    - gn.yml
    - grcov.yml
    - hostutils.yml
    - libunwind.yml
    - llvm-symbolizer.yml
    - macos-sdk.yml
    - mingw.yml
    - minidump-stackwalk.yml
    - misc.yml
    - nasm.yml
    - node.yml
    - pkgconf.yml
    - python.yml
    - python-wheels.yml
    - rust.yml
    - rust-size.yml
    - sccache.yml
    - sysroot.yml
    - uv.yml
    - dist-toolchains.yml
